Google Wallet PIN Cracking App
Clone or download
Pull request Compare This branch is even with joshuarubin:master.
Fetching latest commit…
Cannot retrieve the latest commit at this time.
Permalink
Failed to load latest commit information.
libs
proto
res
src/com/rubixconsulting/walletcracker
.classpath
.gitignore
.project
AndroidManifest.xml
README
proguard.cfg
project.properties

README

For security researchers and demonstration purposes only.

This app demonstrates a vulnerability in Google Wallet that makes it possible to reveal the user's PIN. This defeats all of the security provided by the Secure Element in the NFC device.

This app requires root access and a working installation of Google Wallet (which requires a phone with NFC). It also requires at least Android 3.2, so Nexus S users will have to wait until their phone's are upgraded.

The source code for this app is available at https://github.com/rubixconsulting/WalletCracker and is licensed under the terms of the GPLv3.